petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmInitializeFieldRegister

Initiates the registration of fields to a DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmInitializeFieldRegister(DM dm)

Collective on dm

### Input parameter

dm -a DMSwarm

### Notes

After all fields have been registered, you must call DMSwarmFinalizeFieldRegister().

### See Also

DMSwarmFinalizeFieldRegister(), DMSwarmRegisterPetscDatatypeField(),
DMSwarmRegisterUserStructField(), DMSwarmRegisterUserDatatypeField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages